Pular para o conteúdo principal
POST
/
api
/
v1
/
loan-accounts
/
{id}
/
reschedules
Reprogramar conta de empréstimo
curl --request POST \
  --url https://lender.sandbox.lerian.net/api/v1/loan-accounts/{id}/reschedules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Idempotency: <x-idempotency>' \
  --data '
{
  "businessDate": "<string>",
  "effectiveDate": "<string>",
  "firstRescheduledDueDate": "<string>",
  "newTermMonths": 2,
  "reason": "<string>",
  "transactionId": "<string>"
}
'
import requests

url = "https://lender.sandbox.lerian.net/api/v1/loan-accounts/{id}/reschedules"

payload = {
"businessDate": "<string>",
"effectiveDate": "<string>",
"firstRescheduledDueDate": "<string>",
"newTermMonths": 2,
"reason": "<string>",
"transactionId": "<string>"
}
headers = {
"X-Idempotency": "<x-idempotency>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'X-Idempotency': '<x-idempotency>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
businessDate: '<string>',
effectiveDate: '<string>',
firstRescheduledDueDate: '<string>',
newTermMonths: 2,
reason: '<string>',
transactionId: '<string>'
})
};

fetch('https://lender.sandbox.lerian.net/api/v1/loan-accounts/{id}/reschedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "previousScheduleVersionId": "<string>",
  "scheduleVersion": {
    "createdAt": "<string>",
    "id": "<string>",
    "installments": [
      {
        "dueDate": "<string>",
        "feesAmount": "<string>",
        "interestAmount": "<string>",
        "number": 123,
        "penaltiesAmount": "<string>",
        "principalAmount": "<string>",
        "principalRemaining": "<string>",
        "totalAmount": "<string>"
      }
    ],
    "loanAccountId": "<string>",
    "reason": "<string>",
    "triggerTransactionId": "<string>",
    "versionNumber": 123,
    "predecessorVersionId": "<string>"
  }
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Autorizações

Authorization
string
header
obrigatório

JWT bearer token issued by the identity provider.

Cabeçalhos

X-Idempotency
string
obrigatório

Canonical idempotency request ID. Enforced by the lib-commons idempotency middleware.

Exemplo:

"550e8400-e29b-41d4-a716-446655440011"

Parâmetros de caminho

id
string<uuid>
obrigatório

Loan account identifier (UUID).

Exemplo:

"550e8400-e29b-41d4-a716-446655440000"

Corpo

application/json
businessDate
string
obrigatório

YYYY-MM-DD business date applied to the reschedule.

Exemplo:

"2026-06-14"

effectiveDate
string
obrigatório

YYYY-MM-DD effective date of the reschedule.

Exemplo:

"2026-06-14"

firstRescheduledDueDate
string
obrigatório

YYYY-MM-DD first due date of the rescheduled plan.

Exemplo:

"2026-06-14"

newTermMonths
integer<int64>
obrigatório

New loan term in months.

Intervalo obrigatório: x >= 1
Exemplo:

24

reason
string
obrigatório

Operator-supplied reschedule reason.

Maximum string length: 128
transactionId
string
obrigatório

Operator-supplied reschedule transaction identifier.

Maximum string length: 128

Resposta

Created

previousScheduleVersionId
string
obrigatório

Predecessor schedule version UUID.

Exemplo:

"550e8400-e29b-41d4-a716-446655440031"

scheduleVersion
object
obrigatório

The newly appended immutable schedule version.